Bug 241745 - security/mailzu: Fix errors with php73
Summary: security/mailzu: Fix errors with php73
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Yasuhiro Kimura
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2019-11-05 23:16 UTC by Krzysztof
Modified: 2021-11-05 01:25 UTC (History)
2 users (show)

See Also:
koobs: merge-quarterly?


Attachments
mailzu php73 corrections (4.03 KB, patch)
2019-11-05 23:16 UTC, Krzysztof
ports: maintainer-approval+
Details | Diff
poudriere testport log (69.64 KB, text/plain)
2019-11-05 23:17 UTC, Krzysztof
no flags Details
mailzu patch generated by git (4.61 KB, patch)
2021-11-04 21:57 UTC, Krzysztof
ports: maintainer-approval+
Details | Diff
poudriere testport log (49.43 KB, text/plain)
2021-11-05 00:09 UTC, Krzysztof
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Krzysztof 2019-11-05 23:16:24 UTC
Created attachment 208896 [details]
mailzu php73 corrections

Hello,

Recently I've found some error with mailzu and php73. So I've made a patch to a port which corrects source files. Afeter that php73 is happy :-)

Also I've tested it with poudriere, so I'm attaching logfile of poudriere.
Comment 1 Krzysztof 2019-11-05 23:17:26 UTC
Created attachment 208897 [details]
poudriere testport log
Comment 2 Automation User 2019-11-06 16:02:12 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/94104982
Comment 3 Steve Wills freebsd_committer 2019-11-06 16:58:35 UTC
Build info is available at https://gitlab.mouf.net/swills/freebsd-ports/pipelines/24780
Comment 4 Krzysztof 2019-11-27 10:17:31 UTC
OK, but I don't have access to this gitlab. So I'm not able to see logs and confirm what happened. As you can see logs which I've attached everythings works correctly.
Comment 5 Tobias C. Berner freebsd_committer 2020-03-08 17:35:40 UTC
Moin moin 

Could you please check whether an upstream fix has appeared in the meantime?


mfg Tobias
Comment 6 Krzysztof 2020-03-27 22:23:17 UTC
Sorry for late answer.

mailzu is not developed for many years. I've made some patches so it could be run with php7.x . So nobody else is improving code of mailzu. But it is very useful :-)))
Comment 7 Yasuhiro Kimura freebsd_committer 2021-10-31 15:35:18 UTC
(In reply to Krzysztof from comment #6)

Do you know if your patch works fine with PHP 7.4 and 8.0?
Comment 8 Krzysztof 2021-11-02 18:21:45 UTC
(In reply to Yasuhiro Kimura from comment #7)

I can confirm, that mailzu is working with php7.4 without any problems. I have no dev environment with php8, so I'm not able to confirm that mailzu will work with php8.x
Comment 9 Yasuhiro Kimura freebsd_committer 2021-11-03 15:26:38 UTC
(In reply to Krzysztof from comment #8)

Thanks for reply. I thought mailzu might not work with newer version of PHP, especially with 8.0. And if it really doesn't then IGNORE_WITH_PHP should be set in Makefile. But according to your reply it works fine with 7.4 and it's not clear if it works fine with 8.0. Then IGNORE_WITH_PHP isn't necessary.
Comment 10 Yasuhiro Kimura freebsd_committer 2021-11-03 15:28:39 UTC
Take.
Comment 11 Yasuhiro Kimura freebsd_committer 2021-11-03 15:40:59 UTC
(In reply to Krzysztof from comment #0)

Your patch can't be applied to latest ports tree. Would please update it according to the section 11.1 of Porter's Handbook?
Comment 12 Krzysztof 2021-11-04 21:57:19 UTC
Created attachment 229276 [details]
mailzu patch generated by git

I hope I've made patch correctly. I've checked it with portlint -AC. There is no errors.
Comment 13 Krzysztof 2021-11-05 00:09:14 UTC
Created attachment 229278 [details]
poudriere testport log
Comment 14 commit-hook freebsd_committer 2021-11-05 01:17:44 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=c99114e14f7c799db21764b80ef612e9763e0a61

commit c99114e14f7c799db21764b80ef612e9763e0a61
Author:     Krzysztof <ports@bsdserwis.com>
AuthorDate: 2021-11-05 01:12:22 +0000
Commit:     Yasuhiro Kimura <yasu@FreeBSD.org>
CommitDate: 2021-11-05 01:16:55 +0000

    security/mailzu: Fix runtime error with recent PHP

    * Pet portclippy
    * Re-format Makefile with portfmt

    PR:             241745
    MFH:            2021Q4

 security/mailzu/Makefile                           | 41 ++++++++++++----------
 security/mailzu/files/patch-lib_CmnFns.class.php   | 21 ++++++-----
 .../mailzu/files/patch-lib_htmlfilter.php (new)    | 11 ++++++
 security/mailzu/pkg-plist                          |  2 +-
 4 files changed, 47 insertions(+), 28 deletions(-)
Comment 15 commit-hook freebsd_committer 2021-11-05 01:20:45 UTC
A commit in branch 2021Q4 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=8393cce3d02881f00e32cc93b3a716242af34fb3

commit 8393cce3d02881f00e32cc93b3a716242af34fb3
Author:     Krzysztof <ports@bsdserwis.com>
AuthorDate: 2021-11-05 01:12:22 +0000
Commit:     Yasuhiro Kimura <yasu@FreeBSD.org>
CommitDate: 2021-11-05 01:19:58 +0000

    security/mailzu: Fix runtime error with recent PHP

    * Pet portclippy
    * Re-format Makefile with portfmt

    PR:             241745
    MFH:            2021Q4
    (cherry picked from commit c99114e14f7c799db21764b80ef612e9763e0a61)

 security/mailzu/Makefile                           | 41 ++++++++++++----------
 security/mailzu/files/patch-lib_CmnFns.class.php   | 21 ++++++-----
 .../mailzu/files/patch-lib_htmlfilter.php (new)    | 11 ++++++
 security/mailzu/pkg-plist                          |  2 +-
 4 files changed, 47 insertions(+), 28 deletions(-)
Comment 16 Yasuhiro Kimura freebsd_committer 2021-11-05 01:25:41 UTC
Committed with some refinements and merged to quarterly branch. Thanks!